package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfTheoryenergyData对象 wf_theoryenergy_data
 * 
 * @author hlf
 * @date 2022-09-20
 */
public class WfTheoryenergyData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Date dataTime;

    private Double theoryenergy;

    private Double availableenergy;

    private Long dataFlag;

    public void setWindplantNo(Long windplantNo) 
    {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() 
    {
        return windplantNo;
    }
    public void setDataTime(Date dataTime) 
    {
        this.dataTime = dataTime;
    }

    public Date getDataTime() 
    {
        return dataTime;
    }
    public void setTheoryenergy(Double theoryenergy) 
    {
        this.theoryenergy = theoryenergy;
    }

    public Double getTheoryenergy() 
    {
        return theoryenergy;
    }
    public void setAvailableenergy(Double availableenergy) 
    {
        this.availableenergy = availableenergy;
    }

    public Double getAvailableenergy() 
    {
        return availableenergy;
    }
    public void setDataFlag(Long dataFlag) 
    {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() 
    {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("windplantNo", getWindplantNo())
            .append("dataTime", getDataTime())
            .append("theoryenergy", getTheoryenergy())
            .append("availableenergy", getAvailableenergy())
            .append("dataFlag", getDataFlag())
            .toString();
    }
}
